"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClearCssModuleDefinitionsPlugin = void 0;
const globby_1 = __importDefault(require("globby"));
class ClearCssModuleDefinitionsPlugin {
    constructor(options) {
        this.options = options;
    }
    apply(compiler) {
        compiler.hooks.done.tap('FixStylesPlugin', () => {
            console.log('FixStylesPlugin - done');
            if (!this.options.deleted) {
                console.log('FixStylesPlugin - deleting files... ');
                setTimeout(() => {
                    let files = globby_1.default.sync(['src/**/*.module.scss.d.ts'], { cwd: this.options.rootFolder });
                    files = files.map(f => f.replace('module.scss.d.ts', 'module.scss.ts'));
                }, 2000);
                this.options.deleted = true;
            }
        });
    }
}
exports.ClearCssModuleDefinitionsPlugin = ClearCssModuleDefinitionsPlugin;
//# sourceMappingURL=ClearCssModuleDefinitionsPlugin.js.map